<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="checkout"
            type="com.yono.messeripos.models.ProductCartModels" />

        <variable
            name="subtotal"
            type="String" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <com.google.android.material.card.MaterialCardView
            android:layout_width="match_parent"
            android:layout_height="50dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintBottom_toBottomOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <TextView
                    android:id="@+id/itemCheckout"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    tools:text="@tools:sample/full_names"
                    android:textSize="12sp"
                    android:lines="3"
                    android:text="@{checkout.product_name_orders.toUpperCase()+` x `+checkout.quantity_orders}"
                    android:layout_margin="10dp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/itemSubTotal"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    tools:text="@tools:sample/full_names"
                    android:textSize="12sp"
                    android:text="@{subtotal}"
                    android:layout_margin="10dp"
                    app:layout_constraintStart_toEndOf="@id/itemCheckout"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    android:textAlignment="textEnd" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </com.google.android.material.card.MaterialCardView>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>